# Uses of Class
javafx.geometry.Rectangle2D

Packages that use Rectangle2D
Package
Description
javafx.geometry
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located
javafx.scene.image
Provides the set of classes for loading and displaying images.
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.
javafx.scene.robot
Provides API for simulating user interaction such as typing keys on the keyboard and using the mouse.
javafx.scene.web
This package provides means for loading and displaying Web content.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of Rectangle2D in javafx.geometry

Fields in javafx.geometry declared as Rectangle2D
Modifier and Type
Field
Description
`static final Rectangle2D`
Rectangle2D.`EMPTY`
An empty `Rectangle2D` instance (with all coordinates equal to zero).
Methods in javafx.geometry with parameters of type Rectangle2D
Modifier and Type
Method
Description
`boolean`
Rectangle2D.`contains(Rectangle2D r)`
Tests if the interior of this `Rectangle2D` entirely contains the specified Rectangle2D, `r`.
`boolean`
Rectangle2D.`intersects(Rectangle2D r)`
Tests if the interior of this `Rectangle2D` intersects the interior of a specified Rectangle2D, `r`.

## Uses of Rectangle2D in javafx.scene

Methods in javafx.scene that return Rectangle2D
Modifier and Type
Method
Description
`Rectangle2D`
SnapshotParameters.`getViewport()`
Gets the current viewport
Methods in javafx.scene with parameters of type Rectangle2D
Modifier and Type
Method
Description
`void`
SnapshotParameters.`setViewport(Rectangle2D viewport)`
Sets the viewport used for rendering.

## Uses of Rectangle2D in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return Rectangle2D
Modifier and Type
Method
Description
`Rectangle2D`
TextAreaSkin.`getCharacterBounds(int index)`
Returns the bounds of the character at a given index.
`Rectangle2D`
TextFieldSkin.`getCharacterBounds(int index)`
Returns the bounds of the character at a given index.
`Rectangle2D`
TextInputControlSkin.`getCharacterBounds(int index)`
Returns the bounds of the character at a given index.

## Uses of Rectangle2D in javafx.scene.image

Methods in javafx.scene.image that return Rectangle2D
Modifier and Type
Method
Description
`final Rectangle2D`
ImageView.`getViewport()`
Gets the value of the `viewport` property.
Methods in javafx.scene.image that return types with arguments of type Rectangle2D
Modifier and Type
Method
Description
`final ObjectProperty<Rectangle2D>`
ImageView.`viewportProperty()`
The rectangular viewport into the image.
Methods in javafx.scene.image with parameters of type Rectangle2D
Modifier and Type
Method
Description
`final void`
ImageView.`setViewport(Rectangle2D value)`
Sets the value of the `viewport` property.

## Uses of Rectangle2D in javafx.scene.media

Methods in javafx.scene.media that return Rectangle2D
Modifier and Type
Method
Description
`final Rectangle2D`
MediaView.`getViewport()`
Retrieves the rectangular viewport into the media frame.
Methods in javafx.scene.media that return types with arguments of type Rectangle2D
Modifier and Type
Method
Description
`final ObjectProperty<Rectangle2D>`
MediaView.`viewportProperty()`
Specifies a rectangular viewport into the media frame.
Methods in javafx.scene.media with parameters of type Rectangle2D
Modifier and Type
Method
Description
`final void`
MediaView.`setViewport(Rectangle2D value)`
Sets the rectangular viewport into the media frame.

## Uses of Rectangle2D in javafx.scene.robot

Methods in javafx.scene.robot with parameters of type Rectangle2D
Modifier and Type
Method
Description
`WritableImage`
Robot.`getScreenCapture(WritableImage image, Rectangle2D region)`
Returns a `WritableImage` containing the specified rectangular area relative to the primary screen.
`WritableImage`
Robot.`getScreenCapture(WritableImage image, Rectangle2D region, boolean scaleToFit)`
Returns a `WritableImage` containing the specified rectangular area relative to the primary screen.

## Uses of Rectangle2D in javafx.scene.web

Methods in javafx.scene.web that return types with arguments of type Rectangle2D
Modifier and Type
Method
Description
`final EventHandler<WebEvent<Rectangle2D>>`
WebEngine.`getOnResized()`
Gets the value of the `onResized` property.
`final ObjectProperty<EventHandler<WebEvent<Rectangle2D>>>`
WebEngine.`onResizedProperty()`
JavaScript window resize handler property.
Method parameters in javafx.scene.web with type arguments of type Rectangle2D
Modifier and Type
Method
Description
`final void`
WebEngine.`setOnResized(EventHandler<WebEvent<Rectangle2D>> handler)`
Sets the value of the `onResized` property.

## Uses of Rectangle2D in javafx.stage

Methods in javafx.stage that return Rectangle2D
Modifier and Type
Method
Description
`final Rectangle2D`
Screen.`getBounds()`
Gets the bounds of this `Screen`.
`final Rectangle2D`
Screen.`getVisualBounds()`
Gets the visual bounds of this `Screen`.
Methods in javafx.stage with parameters of type Rectangle2D
Modifier and Type
Method
Description
`static ObservableList<Screen>`
Screen.`getScreensForRectangle(Rectangle2D r)`
Returns a ObservableList of `Screens` that intersects the provided rectangle.